Subject: Re: bug#7498: 23.2; scheme-mode.el doesn't parse racket file correctly

From: Stefan Kangas <[email-masked]>
Date: Thu, 21 Oct 2021 12:44:57 -0700

Hi Philip,

Stefan Kangas <[email-masked]> writes:

> Alan Third <[email-masked]> writes:
>
>> Clément Pit--Claudel <[email-masked]> writes:
>>
>>> On 2016-08-12 15:12, Alan Third wrote:
>>>> Alexander Haeckel <[email-masked]> writes:
>>>>
>>>> that appear to break things, because scheme-mode sees that closing curly
>>>> bracket as a comment. This syntax looks like it’s Racket specific.
>>>
>>> I think this isn't written in "core" Racket; it's Scribble, a dialect
>>> of Racket that's pretty remote from Scheme. IOW, it's not a trivial
>>> fix.
>>
>> I think since it's not really scheme we can't expect scheme-mode to deal
>> with it. It may make more sense to have a separate Racket or Scribble
>> mode (based on Scheme mode, I expect).
>>
>> I'll mark this wishlist anyway in case someone feels like giving it a
>> go.
>
> Just to add that racket-mode exists:
>
>     https://www.racket-mode.com/
>
> Of course, it would be useful to have something built-in or in GNU ELPA.
> But maybe we could add it to NonGNU ELPA once we get that running.

What do you think of adding racket-mode to NonGNU ELPA?  Is doing that
something you would be willing to volunteer for?